J3.x

Extensión no se puede instalar

From Joomla! Documentation

This page is a translated version of the page J3.x:Extension won't install and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎Nederlands • ‎русский • ‎中文(中国大陆)‎
Joomla! 
3.4.0

Algunas extensiones no se puede instalar en Joomla! 3.4.0 dando un error de "No hay archivo seleccionado. No se puede encontrar el paquete de instalación"

Errores reportados

No hay archivo seleccionado. No se puede encontrar el paquete de instalación

(Ten en cuenta que este error es muy genérico y se puede aplicar a muchos otros problemas. Este es sin embargo el único error que la interfaz de usuario muestra como resultado de este problema que afecta a Joomla! 3.4.0 SOLAMENTE)

Versiones afectadas

Info non-talk.png
General Information

This pertains only to Joomla! version(s):- 3.4.0

Cual es la causa

Se agregaron controles de seguridad adicionales para los archivos PHP para la carga de archivos en JFile::upload. Lamentablemente, estos no fueron inhabilitados para el instalador de extensiones, provocando que cualquier archivo zip sin comprimir fuera interpretado como inseguro y, por tanto, no se instala.

Cómo arreglar

Asegúrate de que tus archivos zip se comprimen correctamente antes de instalar

Aplicar el parche https://github.com/joomla/joomla-cms/pull/6180.patch (Esta revisión se incluye en Joomla! 3.4.1)